/*---------------------------------------------------
-----------------------------------------------------
Filename:	tabbutton.m
Version:	1.0

Type:		maki
Date:		28. Sep. 2007 - 13:12 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
		
-----------------------------------------------------
---------------------------------------------------*/

#include <lib/std.mi>

Global GuiObject normalGrid, hoverGrid, activeGrid;
Global Button mousetrap;
Global Text normalText, hoverText, activeText;
Global Boolean mouseDown;

System.onScriptLoaded ()
{
	group sg = getScriptGroup();

	normalGrid = sg.getObject("Bottom.bar.button.normal");
	hoverGrid = sg.getObject("Bottom.bar.button.hover");
	activeGrid = sg.getObject("Bottom.bar.button.active");
	normalText = sg.getObject("Bottom.bar.button.normal.text");
	hoverText = sg.getObject("Bottom.bar.button.hover.text");
	activeText = sg.getObject("Bottom.bar.button.active.text");

	mousetrap = sg.getObject("Bottom.bar.button.mousetrap");
	normalGrid.show(); 
	normalText.show();
	
}

System.onSetXuiParam (String stringParam, String value)
{
	if ( strlower(stringParam) == "tabtext" ) 
	{
		normalText.setText(value);
		hoverText.setText(value);
		activeText.setText(value);
	}
}

mousetrap.onLeftButtonDown (int x, int y)
{
	mouseDown = 1;
	activeGrid.show();
	hoverGrid.hide();
	activeText.show();
	hoverText.hide();
}

mousetrap.onLeftButtonUp (int x, int y)
{
	mouseDown = 0;
	activeGrid.hide();
	activeText.hide();
}

mousetrap.onleaveArea ()
{
	normalGrid.show(); 
	hoverGrid.hide();
	normalText.show();
	hoverText.hide();
}

mousetrap.onEnterArea ()
{
	 hoverGrid.show(); hoverText.show();
}

mousetrap.onActivate (int activated)
{
	if (activated)
	{
		normalGrid.show(); hoverGrid.hide(); normalText.show(); hoverText.hide();
		activeGrid.show(); activeText.show();
	}
	else
	{
		normalGrid.show(); hoverGrid.hide(); normalText.show(); hoverText.hide();
		activeGrid.hide(); activeText.hide();
	}
}